# xoxys.postfix_relay
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.postfix_relay/status.svg)](https://drone.rknet.org/ansible/xoxys.postfix_relay)


Setup postfix as mail relay

## Table of content

* [Default Variables](#default-variables)
  * [postfix_relay_relaydomain](#postfix_relay_relaydomain)
  * [postfix_relay_relayhost](#postfix_relay_relayhost)
  * [postfix_relay_relayport](#postfix_relay_relayport)
  * [postfix_relay_auth_user](#postfix_relay_auth_user)
  * [postfix_relay_auth_password](#postfix_relay_auth_password)
  * [postfix_relay_smtpd_banner](#postfix_relay_smtpd_banner)
  * [postfix_relay_senders](#postfix_relay_senders)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### postfix_relay_relaydomain

#### Default value

```YAML
postfix_relay_relaydomain: smtp.org
```

### postfix_relay_relayhost

#### Default value

```YAML
postfix_relay_relayhost: test.{{ postfix_relay_relaydomain }}
```

### postfix_relay_relayport

#### Default value

```YAML
postfix_relay_relayport: '587'
```

### postfix_relay_auth_user

#### Default value

```YAML
postfix_relay_auth_user: user01
```

### postfix_relay_auth_password

#### Default value

```YAML
postfix_relay_auth_password: pass01
```

### postfix_relay_smtpd_banner

`smtpd_banner` contains $myhostname by default and can't be removed. Options from the list will be appended.

#### Default value

```YAML
postfix_relay_smtpd_banner:
  - ESMTP
  - $mail_name
```

### postfix_relay_senders

#### Default value

```YAML
postfix_relay_senders:
  - user: root
    address: '{{ ansible_hostname }}@{{ postfix_relay_relaydomain }}'
```

## Dependencies

None.

## License

MIT

## Author

[xoxys](https://gitea.rknet.org/xoxys)
